Bug 65107 - Header/Footer comments pop up on first page only
Summary: Header/Footer comments pop up on first page only
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Comments
  Show dependency treegraph
 
Reported: 2013-05-29 01:24 UTC by Thomas Arnhold
Modified: 2019-04-24 02:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example document (12.54 KB, application/vnd.oasis.opendocument.text)
2013-05-29 01:24 UTC, Thomas Arnhold
Details
crashy documents (15.13 KB, application/zip)
2015-04-22 18:24 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2013-05-29 01:24:37 UTC
Created attachment 79931 [details]
example document

If you add a header/footer comment on page 2 the comment field is displayed on page 1. You only recognize this if you scroll manually up to page 1.


Steps to reproduce

1. Create an empty document with two pages
2. Add a footer.
3. Insert footer comment on page 2
4. Comment field will disappear, if you scoll to page 1, there is the empty comment field

Same applies to header comments.

Expected

1. Insert header or footer comment on page 2 should show the comment box on page 2, where it is clicked.
2. Maybe show header/footer comments on all pages with the same header/footer.
3. Or automatically scroll up to page 1 and insert comment there.

OR

1. Disable header/footer comments at all (like Excel).
Comment 1 Jorendc 2013-05-30 10:36:05 UTC
Thanks for reporting!

I can reproduce this using Linux Mint 15 x64 with LibreOffice Versie 4.0.3.3 .3.3 (Bouw-id: 400m0(Build:3)); Dutch UI;

I did some improvements about the 'order of comments' that are applied to footers/footnotes, so I thought this was maybe introduced by my commit related to Bug 34800 (http://cgit.freedesktop.org/libreoffice/core/commit/?id=868f3485126827f6baf7179d1c2c3c20812cac9b). After reverting my commit, I still can reproduce this behavior.

Priority:
* Minor: Does makes it substantially harder to make high quality work
* Medium: default for minor bugs

Kind regards,
Joren
Comment 2 Cédric Bosdonnat 2014-01-20 08:57:35 UTC
Restricted my LibreOffice hacking area
Comment 3 Gordo 2015-04-22 18:24:02 UTC
Created attachment 115011 [details]
crashy documents

Headers and footers are saved with the page style in styles.xml.  While Writer shows the header on every page, there is only one instance of the data.  Any comments would only have one instance to reference.

I did some experimenting with First Page Headers and a page break on a page with an existing comment in the header.  Enjoy.

1. New Text Document.
2. Insert Page Break.
3. Insert Header → Default Style.
4. Type “Test Header” in header.
5. On page 2, place cursor in header at end of text.
6. Insert → Comment.
7. Type “test1” in comment.
Result:
Comment is now attached to header on page 1.
8. Format Header on page 1.
9. Uncheck Same content on first page.
Result:
Comment also appears on page 2 header.
10. Place cursor on page 2.
11. Insert Page Break.
Result:
Comment stays with header on page 3.
12. Save, close, and reopen document.
Result:
In Navigator, only one comment shows.
13. Click on comment in Navigator.
Result:
Crash.

I got a SEH Access Violation one time after reopening.  I think.  The dialogue was there then gone.

After one crash, I lost some of my LO settings.  The Navigator was floating instead of docked.  The interface style changed from Sifr back to default Tango.  The Siderbar was visible even though I had it closed.

I could not get it to crash with Windbg.

If you change the First Page Header back to Default then the comment disappears.  It will briefly appear and disappear when opening the document.  Changing the header back to First Page Header once again shows the comment.  This is consistent with different header styles as there would be different data in the styles.xml.

Windows Vista 64
Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 4 Gordo 2015-04-22 18:27:51 UTC
I forgot to mention that when inserting the comment on page 2, the page scrolled to page one, so technically, the original bug is no longer there.
Comment 5 QA Administrators 2016-09-20 09:33:52 UTC Comment hidden (obsolete)
Comment 6 Telesto 2018-04-23 18:24:37 UTC
Repro
Version: 6.1.0.0.alpha0+
Build ID: 2ed7c02478968852d7d39c2c4677f2ecf3441bc7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-22_01:00:56
Locale: nl-NL (nl_NL); Calc: CL
Comment 7 QA Administrators 2019-04-24 02:49:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug